Subject: Re: [PATCH] ppc32: cleanup AMCC PPC4xx eval boards to better support U-Boot

From: Stefan Roese <[email-masked]>
Date: Mon, 19 Sep 2005 17:06:23 +0200

Hi Matt,

On Monday 19 September 2005 15:59, Matt Porter wrote:
> On Mon, Sep 19, 2005 at 01:02:14PM +0200, Stefan Roese wrote:
> > Just to be sure: The 44x boot-wrapper approach you mention is
> > "boot/simple/pibs.c"?
>
> Yes, there's both boot/simple/pibs.c and boot/simple/openbios.c that
> were created so we could have the default firmware and u-boot use the
> same kernel build.

Yes, that's what I thought. But Eugene mentioned, that he boots vmlinux 
without any boot-wrapper on the OpenBIOS targets (except Ebony probably). You 
would loose this possibility, if I add this wrapper and switch from OpenBIOS 
to U-Boot bd_info struct in the kernel.

Did I miss something here? How should I proceed?

Best regards,
Stefan